// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		0910F6BA25D1E4F900086A56 /* Metal.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0910F6B925D1E4F900086A56 /* Metal.framework */; };
		0910F6BC25D1E4FF00086A56 /* MetalKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0910F6BB25D1E4FF00086A56 /* MetalKit.framework */; };
		097FC81625CA394700112541 /* AppDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = 097FC81525CA394700112541 /* AppDelegate.m */; };
		097FC81925CA394700112541 /* SceneDelegate.m in Sources */ = {isa = PBXBuildFile; fileRef = 097FC81825CA394700112541 /* SceneDelegate.m */; };
		097FC81C25CA394700112541 /* ViewController.m in Sources */ = {isa = PBXBuildFile; fileRef = 097FC81B25CA394700112541 /* ViewController.m */; };
		097FC81F25CA394700112541 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 097FC81D25CA394700112541 /* Main.storyboard */; };
		097FC82125CA394700112541 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 097FC82025CA394700112541 /* Assets.xcassets */; };
		097FC82425CA394700112541 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 097FC82225CA394700112541 /* LaunchScreen.storyboard */; };
		097FC82725CA394700112541 /* main.m in Sources */ = {isa = PBXBuildFile; fileRef = 097FC82625CA394700112541 /* main.m */; };
		09C4AD8E25E77D31007AC3D1 /* Renderer00.m in Sources */ = {isa = PBXBuildFile; fileRef = 09C4AD8D25E77D31007AC3D1 /* Renderer00.m */; };
		09C4AD9B25E85213007AC3D1 /* MetalUtils.m in Sources */ = {isa = PBXBuildFile; fileRef = 09C4AD9A25E85213007AC3D1 /* MetalUtils.m */; };
		09C4ADA025E8534A007AC3D1 /* data in Resources */ = {isa = PBXBuildFile; fileRef = 09C4AD9F25E8534A007AC3D1 /* data */; };
		09C4ADEA25E865DC007AC3D1 /* Renderer00.metal in Sources */ = {isa = PBXBuildFile; fileRef = 09C4ADE925E865DC007AC3D1 /* Renderer00.metal */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		0910F6B925D1E4F900086A56 /* Metal.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Metal.framework; path = System/Library/Frameworks/Metal.framework; sourceTree = SDKROOT; };
		0910F6BB25D1E4FF00086A56 /* MetalKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = MetalKit.framework; path = System/Library/Frameworks/MetalKit.framework; sourceTree = SDKROOT; };
		0910F6BD25D1E50500086A56 /* WebKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = WebKit.framework; path = System/Library/Frameworks/WebKit.framework; sourceTree = SDKROOT; };
		097FC81125CA394700112541 /* MetalToolsDemo.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = MetalToolsDemo.app; sourceTree = BUILT_PRODUCTS_DIR; };
		097FC81425CA394700112541 /* AppDelegate.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = AppDelegate.h; sourceTree = "<group>"; };
		097FC81525CA394700112541 /* AppDelegate.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = AppDelegate.m; sourceTree = "<group>"; };
		097FC81725CA394700112541 /* SceneDelegate.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = SceneDelegate.h; sourceTree = "<group>"; };
		097FC81825CA394700112541 /* SceneDelegate.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = SceneDelegate.m; sourceTree = "<group>"; };
		097FC81A25CA394700112541 /* ViewController.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = ViewController.h; sourceTree = "<group>"; };
		097FC81B25CA394700112541 /* ViewController.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = ViewController.m; sourceTree = "<group>"; };
		097FC81E25CA394700112541 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		097FC82025CA394700112541 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		097FC82325CA394700112541 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		097FC82525CA394700112541 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		097FC82625CA394700112541 /* main.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = main.m; sourceTree = "<group>"; };
		0985E45125EA117A008182AB /* RendererTypes.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = RendererTypes.h; sourceTree = "<group>"; };
		09C4AD8C25E77D31007AC3D1 /* Renderer00.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Renderer00.h; sourceTree = "<group>"; };
		09C4AD8D25E77D31007AC3D1 /* Renderer00.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = Renderer00.m; sourceTree = "<group>"; };
		09C4AD9A25E85213007AC3D1 /* MetalUtils.m */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.objc; path = MetalUtils.m; sourceTree = "<group>"; };
		09C4AD9D25E85225007AC3D1 /* MetalUtils.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = MetalUtils.h; sourceTree = "<group>"; };
		09C4AD9F25E8534A007AC3D1 /* data */ = {isa = PBXFileReference; lastKnownFileType = folder; name = data; path = ../../data; sourceTree = "<group>"; };
		09C4ADE925E865DC007AC3D1 /* Renderer00.metal */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.metal; path = Renderer00.metal; sourceTree = "<group>"; };
		09C4ADEF25E88310007AC3D1 /* Renderer.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Renderer.h; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		097FC80E25CA394700112541 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0910F6BA25D1E4F900086A56 /* Metal.framework in Frameworks */,
				0910F6BC25D1E4FF00086A56 /* MetalKit.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		0910F6B825D1E4F900086A56 /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				0910F6BD25D1E50500086A56 /* WebKit.framework */,
				0910F6BB25D1E4FF00086A56 /* MetalKit.framework */,
				0910F6B925D1E4F900086A56 /* Metal.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		093AD48825F0BCD2001A3744 /* Renderer */ = {
			isa = PBXGroup;
			children = (
				09C4ADEF25E88310007AC3D1 /* Renderer.h */,
				0985E45125EA117A008182AB /* RendererTypes.h */,
				09C4AD8C25E77D31007AC3D1 /* Renderer00.h */,
				09C4AD8D25E77D31007AC3D1 /* Renderer00.m */,
				09C4ADE925E865DC007AC3D1 /* Renderer00.metal */,
			);
			name = Renderer;
			sourceTree = "<group>";
		};
		0941229A26F4567300C2D44F /* common */ = {
			isa = PBXGroup;
			children = (
				097FC81425CA394700112541 /* AppDelegate.h */,
				097FC81525CA394700112541 /* AppDelegate.m */,
				097FC81725CA394700112541 /* SceneDelegate.h */,
				097FC81825CA394700112541 /* SceneDelegate.m */,
				097FC81A25CA394700112541 /* ViewController.h */,
				097FC81B25CA394700112541 /* ViewController.m */,
				097FC81D25CA394700112541 /* Main.storyboard */,
				097FC82025CA394700112541 /* Assets.xcassets */,
				097FC82225CA394700112541 /* LaunchScreen.storyboard */,
				097FC82625CA394700112541 /* main.m */,
				09C4AD9D25E85225007AC3D1 /* MetalUtils.h */,
				09C4AD9A25E85213007AC3D1 /* MetalUtils.m */,
			);
			name = common;
			sourceTree = "<group>";
		};
		097FC80825CA394700112541 = {
			isa = PBXGroup;
			children = (
				097FC81325CA394700112541 /* MetalToolsDemo */,
				097FC81225CA394700112541 /* Products */,
				0910F6B825D1E4F900086A56 /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		097FC81225CA394700112541 /* Products */ = {
			isa = PBXGroup;
			children = (
				097FC81125CA394700112541 /* MetalToolsDemo.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		097FC81325CA394700112541 /* MetalToolsDemo */ = {
			isa = PBXGroup;
			children = (
				0941229A26F4567300C2D44F /* common */,
				093AD48825F0BCD2001A3744 /* Renderer */,
				09C4AD9F25E8534A007AC3D1 /* data */,
				097FC82525CA394700112541 /* Info.plist */,
			);
			path = MetalToolsDemo;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		097FC81025CA394700112541 /* MetalToolsDemo */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 097FC82A25CA394700112541 /* Build configuration list for PBXNativeTarget "MetalToolsDemo" */;
			buildPhases = (
				097FC80D25CA394700112541 /* Sources */,
				097FC80E25CA394700112541 /* Frameworks */,
				097FC80F25CA394700112541 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = MetalToolsDemo;
			productName = MetalToolsDemo;
			productReference = 097FC81125CA394700112541 /* MetalToolsDemo.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		097FC80925CA394700112541 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 1240;
				TargetAttributes = {
					097FC81025CA394700112541 = {
						CreatedOnToolsVersion = 12.4;
					};
				};
			};
			buildConfigurationList = 097FC80C25CA394700112541 /* Build configuration list for PBXProject "MetalToolsDemo" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 097FC80825CA394700112541;
			productRefGroup = 097FC81225CA394700112541 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				097FC81025CA394700112541 /* MetalToolsDemo */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		097FC80F25CA394700112541 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				097FC82425CA394700112541 /* LaunchScreen.storyboard in Resources */,
				097FC82125CA394700112541 /* Assets.xcassets in Resources */,
				09C4ADA025E8534A007AC3D1 /* data in Resources */,
				097FC81F25CA394700112541 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		097FC80D25CA394700112541 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				09C4ADEA25E865DC007AC3D1 /* Renderer00.metal in Sources */,
				09C4AD8E25E77D31007AC3D1 /* Renderer00.m in Sources */,
				097FC81C25CA394700112541 /* ViewController.m in Sources */,
				097FC81625CA394700112541 /* AppDelegate.m in Sources */,
				09C4AD9B25E85213007AC3D1 /* MetalUtils.m in Sources */,
				097FC82725CA394700112541 /* main.m in Sources */,
				097FC81925CA394700112541 /* SceneDelegate.m in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		097FC81D25CA394700112541 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				097FC81E25CA394700112541 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		097FC82225CA394700112541 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				097FC82325CA394700112541 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		097FC82825CA394700112541 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.4;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
			};
			name = Debug;
		};
		097FC82925CA394700112541 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 14.4;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		097FC82B25CA394700112541 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 7SM465AAXZ;
				INFOPLIST_FILE = MetalToolsDemo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.1;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = wdf.sandbox.MetalToolsDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		097FC82C25CA394700112541 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 7SM465AAXZ;
				INFOPLIST_FILE = MetalToolsDemo/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 14.1;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = wdf.sandbox.MetalToolsDemo;
				PRODUCT_NAME = "$(TARGET_NAME)";
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		097FC80C25CA394700112541 /* Build configuration list for PBXProject "MetalToolsDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				097FC82825CA394700112541 /* Debug */,
				097FC82925CA394700112541 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		097FC82A25CA394700112541 /* Build configuration list for PBXNativeTarget "MetalToolsDemo" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				097FC82B25CA394700112541 /* Debug */,
				097FC82C25CA394700112541 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 097FC80925CA394700112541 /* Project object */;
}
